## ShellNetworkAgent

ShellNetworkAgent

## Functions

void | shell_network_agent_add_vpn_secret ()
void | shell_network_agent_set_password ()
void | shell_network_agent_respond ()
void | shell_network_agent_search_vpn_plugin ()
NMVpnPluginInfo * | shell_network_agent_search_vpn_plugin_finish ()

## Signals

void | cancel-request |
void | new-request |

## Types and Values

enum | ShellNetworkAgentResponse
#define | SHELL_KEYRING_UUID_TAG
#define | SHELL_KEYRING_SN_TAG
#define | SHELL_KEYRING_SK_TAG

## Object Hierarchy

        GObject
        ╰── NMSecretAgentOld
            ╰── ShellNetworkAgent

## Description

## Functions

### shell_network_agent_add_vpn_secret ()

    void
    shell_network_agent_add_vpn_secret (ShellNetworkAgent *self,
                                        gchar *request_id,
                                        gchar *setting_key,
                                        gchar *setting_value);

### shell_network_agent_set_password ()

    void
    shell_network_agent_set_password (ShellNetworkAgent *self,
                                      char *request_id,
                                      char *setting_key,
                                      char *setting_value);

### shell_network_agent_respond ()

    void
    shell_network_agent_respond (ShellNetworkAgent *self,
                                 char *request_id,
                                 ShellNetworkAgentResponse response);

### shell_network_agent_search_vpn_plugin ()

    void
    shell_network_agent_search_vpn_plugin (ShellNetworkAgent *self,
                                           const char *service,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

### shell_network_agent_search_vpn_plugin_finish ()

    NMVpnPluginInfo *
    shell_network_agent_search_vpn_plugin_finish
                                   (ShellNetworkAgent *self,
                                    GAsyncResult *result,
                                    GError **error);

#### Returns

The found plugin or `NULL`.

[nullable][transfer full]

## Types and Values

### enum ShellNetworkAgentResponse

#### Members

### SHELL_KEYRING_UUID_TAG

    #define SHELL_KEYRING_UUID_TAG "connection-uuid"

### SHELL_KEYRING_SN_TAG

    #define SHELL_KEYRING_SN_TAG "setting-name"

### SHELL_KEYRING_SK_TAG

    #define SHELL_KEYRING_SK_TAG "setting-key"

## Signal Details

### The `“cancel-request”` signal

    void
    user_function (ShellNetworkAgent *shellnetworkagent,
                   char              *arg1,
                   gpointer           user_data)

### The `“new-request”` signal

    void
    user_function (ShellNetworkAgent *shellnetworkagent,
                   char              *arg1,
                   NMConnection      *arg2,
                   char              *arg3,
                   GStrv              arg4,
                   int                arg5,
                   gpointer           user_data)